commit 57be8ba9eb37637520f27c884551b3683bb6df50
Author: freddy77 <freddy77>
Date:   Mon Nov 10 17:20:39 2008 +0000

    check proper return code

diff --git a/ChangeLog b/ChangeLog
index ed1b4b8..6d3331d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Nov 10 18:20:10 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/blob1.c: check proper return code
+
 Fri Nov 07 17:24:12 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds.h: commented unused field
 
@@ -915,4 +918,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2655 2008/11/07 16:25:52 freddy77 Exp $
+$Id: ChangeLog,v 1.2656 2008/11/10 17:20:39 freddy77 Exp $
diff --git a/src/odbc/unittests/blob1.c b/src/odbc/unittests/blob1.c
index 8c0ca59..5e1240e 100755
--- a/src/odbc/unittests/blob1.c
+++ b/src/odbc/unittests/blob1.c
@@ -3,7 +3,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: blob1.c,v 1.12 2008/11/06 15:56:39 freddy77 Exp $";
+static char software_version[] = "$Id: blob1.c,v 1.13 2008/11/10 17:20:39 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHECK_RCODE(t,h,m) \
@@ -215,6 +215,8 @@ main(int argc, char **argv)
 			CHKParamData((SQLPOINTER) & p, "SINe");
 			printf(">> SQLParamData: ptr = %p  RetCode = %d\n", (void *) p, RetCode);
 			if (RetCode == SQL_NEED_DATA) {
+				SQLRETURN RetCode;
+
 				if (p == buf3) {
 					fill_hex(buf3, NBYTES, 987, 25);
 					

